<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_CUSTOM_FILTER" value=".kt" />
    <option name="TOOL_WINDOW_LOG_LEVEL" value="error" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="NONE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="6594b356-8707-45d2-8561-80bdb3627ab4" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="device_and_snapshot_combo_box_target[SerialNumber@RQ8MA0HP9FZ]" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="valueResourceFile" />
        <option value="Kotlin Data Class" />
        <option value="layoutResourceFile" />
        <option value="Kotlin Object" />
        <option value="resourceFile" />
        <option value="Kotlin File" />
        <option value="Kotlin Class" />
        <option value="Kotlin Interface" />
      </list>
    </option>
  </component>
  <component name="KotlinMultiplatform">
    <allAvailableExecutables />
  </component>
  <component name="ProjectId" id="1uikmyofaZvhflnazyyIwWW3srq" />
  <component name="ProjectViewState">
    <option name="autoscrollFromSource" value="true" />
    <option name="autoscrollToSource" value="true" />
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="DeviceAndSnapshotComboBoxAction.selectedDevice" value="SerialNumber@RQ8MA0HP9FZ" />
    <property name="DeviceAndSnapshotComboBoxAction.selectionTime" value="2021-10-20T19:38:20.801063Z" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="android-custom-view/Users/tiagoaguiar/.gradle/caches/modules-2/files-2.1/androidx.appcompat/appcompat/1.3.0/45a346a05e7ff27a01c59452379c5939cbb53c03/appcompat-1.3.0-sources.jar!/androidx/appcompat/widget/AppCompatEditText.java_SELECTED" value="AppCompatEditText" />
    <property name="android-custom-view/Users/tiagoaguiar/.gradle/caches/modules-2/files-2.1/androidx.coordinatorlayout/coordinatorlayout/1.1.0/a15529ac349d76a872ae5ef42b84c320c456cd7f/coordinatorlayout-1.1.0-sources.jar!/androidx/coordinatorlayout/widget/CoordinatorLayout.java_SELECTED" value="CoordinatorLayout" />
    <property name="android-custom-view/Users/tiagoaguiar/.gradle/caches/modules-2/files-2.1/androidx.recyclerview/recyclerview/1.1.0/f2bdf79e1977939817f54a9d3e2f6bc52b63bdd0/recyclerview-1.1.0-sources.jar!/androidx/recyclerview/widget/RecyclerView.java_SELECTED" value="RecyclerView" />
    <property name="android-custom-view/Users/tiagoaguiar/.gradle/caches/modules-2/files-2.1/com.google.android.material/material/1.3.0/b42a5159ef2c670d26ce08246ec5aaf8f92e5a42/material-1.3.0-sources.jar!/com/google/android/material/appbar/AppBarLayout.java_SELECTED" value="AppBarLayout" />
    <property name="android-custom-view/Users/tiagoaguiar/Library/Android/sdk/sources/android-30/android/view/View.java_SELECTED" value="View" />
    <property name="android-custom-view/Users/tiagoaguiar/Library/Android/sdk/sources/android-30/android/view/ViewGroup.java_SELECTED" value="ViewGroup" />
    <property name="android-custom-view/Users/tiagoaguiar/Library/Android/sdk/sources/android-30/android/widget/Button.java_SELECTED" value="Button" />
    <property name="android-custom-view/Users/tiagoaguiar/Library/Android/sdk/sources/android-30/android/widget/FrameLayout.java_SELECTED" value="FrameLayout" />
    <property name="android-custom-view/Users/tiagoaguiar/Library/Android/sdk/sources/android-30/android/widget/ImageView.java_SELECTED" value="ImageView" />
    <property name="android-custom-view/Users/tiagoaguiar/Library/Android/sdk/sources/android-30/android/widget/SearchView.java_SELECTED" value="SearchView" />
    <property name="android-custom-view/Users/tiagoaguiar/Library/Android/sdk/sources/android-30/android/widget/TextView.java_SELECTED" value="TextView" />
    <property name="android-custom-view/Users/tiagoaguiar/android/course/Instagram-005/app/src/main/java/co/tiagoaguiar/course/instagram/login/view/LoadingButton.kt_SELECTED" value="LoadingButton" />
    <property name="android-custom-view/Users/tiagoaguiar/android/course/Instagram-006/app/src/main/java/co/tiagoaguiar/course/instagram/login/view/LoadingButton.kt_SELECTED" value="LoadingButton" />
    <property name="android-custom-view/Users/tiagoaguiar/android/course/Instagram-010/app/src/main/java/co/tiagoaguiar/course/instagram/login/view/LoadingButton.kt_SELECTED" value="LoadingButton" />
    <property name="android-custom-view/Users/tiagoaguiar/android/course/Instagram-2-01/app/src/main/java/co/tiagoaguiar/course/instagram/login/view/LoadingButton.kt_SELECTED" value="LoadingButton" />
    <property name="android-custom-view/Users/tiagoaguiar/android/course/Instagram-2-15/app/src/main/java/co/tiagoaguiar/course/instagram/login/view/LoadingButton.kt_SELECTED" value="LoadingButton" />
    <property name="android.sdk.path" value="$USER_HOME$/Library/Android/sdk" />
    <property name="com.developerphil.adbidea.selecteddevices" value="RQ8MA0HP9FZ" />
    <property name="full.screen.before.presentation.mode" value="false" />
    <property name="last_directory_selection" value="$PROJECT_DIR$/app/src/main/java/co/tiagoaguiar/course/instagram/main" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/app/src/main/res/menu" />
    <property name="project.structure.last.edited" value="SDK Location" />
    <property name="project.structure.proportion" value="0.17" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="preferences.lookFeel" />
  </component>
  <component name="RecentsManager">
    <key name="MoveKotlinTopLevelDeclarationsDialog.RECENTS_KEY">
      <recent name="co.tiagoaguiar.course.instagram.post.view" />
      <recent name="co.tiagoaguiar.course.instagram.profile.view" />
      <recent name="co.tiagoaguiar.course.instagram.splash.view" />
      <recent name="co.tiagoaguiar.course.instagram.common.view" />
      <recent name="co.tiagoaguiar.course.instagram.register.view" />
    </key>
    <key name="CopyKotlinDeclarationDialog.RECENTS_KEY">
      <recent name="co.tiagoaguiar.course.instagram.common.model" />
      <recent name="co.tiagoaguiar.course.instagram.search.data" />
      <recent name="co.tiagoaguiar.course.instagram.post.view" />
      <recent name="co.tiagoaguiar.course.instagram.post.presenter" />
      <recent name="co.tiagoaguiar.course.instagram.add.view" />
    </key>
    <key name="android.template.1862161384">
      <recent name="co.tiagoaguiar.course.instagram" />
    </key>
    <key name="android.template.-1288429886">
      <recent name="co.tiagoaguiar.course.instagram.add.view" />
    </key>
    <key name="android.template.-629912689">
      <recent name="co.tiagoaguiar.course.instagram" />
    </key>
    <key name="android.template.451516083">
      <recent name="co.tiagoaguiar.course.instagram.main.view" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/app/src/main/res/menu" />
      <recent name="$PROJECT_DIR$/app/src/main/res/drawable" />
      <recent name="$PROJECT_DIR$/app/src/main/res/layout" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/app" />
      <recent name="$PROJECT_DIR$/app/src/main/res/values" />
      <recent name="$PROJECT_DIR$/app/src/main/res/drawable" />
    </key>
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="Instagram.app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="ALL_USERS" value="false" />
      <option name="ALWAYS_INSTALL_WITH_PM" value="false" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="DEBUGGER_TYPE" value="Java" />
      <Java />
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
        <option name="STARTUP_NATIVE_MEMORY_PROFILING_ENABLED" value="false" />
        <option name="NATIVE_MEMORY_SAMPLE_RATE_BYTES" value="2048" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <option name="SEARCH_ACTIVITY_IN_GLOBAL_SCOPE" value="false" />
      <option name="SKIP_ACTIVITY_VALIDATION" value="false" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="WindowStateProjectService">
    <state x="909" y="72" key="#com.intellij.ide.util.MemberChooser.inPresentationMode" timestamp="1634764890913">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state x="610" y="71" key="#com.intellij.ide.util.MemberChooser.inPresentationMode/0.25.2517.1055@0.25.2517.1055" timestamp="1626269695754" />
    <state x="881" y="70" key="#com.intellij.ide.util.MemberChooser.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1629160504608" />
    <state x="908" y="72" key="#com.intellij.ide.util.MemberChooser.inPresentationMode/40.25.2520.1055@40.25.2520.1055" timestamp="1630967081331" />
    <state x="908" y="72" key="#com.intellij.ide.util.MemberChooser.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1634669654945" />
    <state x="909" y="72" key="#com.intellij.ide.util.MemberChooser.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1634764890913" />
    <state x="910" y="72" key="#com.intellij.ide.util.MemberChooser.inPresentationMode/43.25.2517.1055@43.25.2517.1055" timestamp="1630350095711" />
    <state x="522" y="64" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog.inPresentationMode" timestamp="1628876076307">
      <screen x="0" y="25" width="2560" height="1010" />
    </state>
    <state x="522" y="64" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1628876076307" />
    <state x="515" y="129" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog.inPresentationMode" timestamp="1630961870064">
      <screen x="41" y="25" width="2519" height="1055" />
    </state>
    <state x="514" y="129" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog.inPresentationMode/40.25.2520.1055@40.25.2520.1055" timestamp="1630960710630" />
    <state x="515" y="129" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1630961870064" />
    <state x="627" y="237" key="#org.jetbrains.kotlin.idea.refactoring.move.moveDeclarations.ui.MoveKotlinTopLevelDeclarationsDialog.inPresentationMode" timestamp="1630966949866">
      <screen x="40" y="25" width="2520" height="1055" />
    </state>
    <state x="597" y="228" key="#org.jetbrains.kotlin.idea.refactoring.move.moveDeclarations.ui.MoveKotlinTopLevelDeclarationsDialog.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1629160312824" />
    <state x="627" y="237" key="#org.jetbrains.kotlin.idea.refactoring.move.moveDeclarations.ui.MoveKotlinTopLevelDeclarationsDialog.inPresentationMode/40.25.2520.1055@40.25.2520.1055" timestamp="1630966949866" />
    <state x="629" y="237" key="#org.jetbrains.kotlin.idea.refactoring.move.moveDeclarations.ui.MoveKotlinTopLevelDeclarationsDialog.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1629298680115" />
    <state x="140" y="129" width="1689" height="847" key="AVDManager.inPresentationMode" timestamp="1629241643952">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state x="100" y="125" width="1717" height="810" key="AVDManager.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1628007547796" />
    <state x="140" y="129" width="1689" height="847" key="AVDManager.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1629241643952" />
    <state x="758" y="292" key="AndroidCreateResourceFileDialog.inPresentationMode" timestamp="1633351334430">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state x="728" y="281" key="AndroidCreateResourceFileDialog.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1629160133194" />
    <state x="758" y="292" key="AndroidCreateResourceFileDialog.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1633351334430" />
    <state x="931" y="229" key="AndroidCreateXmlResourceDialog.inPresentationMode" timestamp="1629985211596">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state x="931" y="229" key="AndroidCreateXmlResourceDialog.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1629985211596" />
    <state width="1851" height="251" key="GridCell.Tab.0.bottom" timestamp="1634580267964">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state width="1863" height="452" key="GridCell.Tab.0.bottom.inPresentationMode" timestamp="1634667157682">
      <screen x="41" y="25" width="2519" height="1055" />
    </state>
    <state width="1414" height="271" key="GridCell.Tab.0.bottom.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1629162226040" />
    <state width="1863" height="452" key="GridCell.Tab.0.bottom.inPresentationMode/40.25.2520.1055@40.25.2520.1055" timestamp="1634593473873" />
    <state width="1863" height="452" key="GridCell.Tab.0.bottom.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1634667157682" />
    <state width="1863" height="532" key="GridCell.Tab.0.bottom.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1634583297391" />
    <state width="1861" height="406" key="GridCell.Tab.0.bottom.inPresentationMode/44.25.2516.1055@44.25.2516.1055" timestamp="1630350702213" />
    <state width="1851" height="251" key="GridCell.Tab.0.bottom/42.25.2518.1055@42.25.2518.1055" timestamp="1634580267964" />
    <state width="2516" height="534" key="GridCell.Tab.0.bottom/44.25.2516.1055@44.25.2516.1055" timestamp="1630349086747" />
    <state width="1851" height="251" key="GridCell.Tab.0.center" timestamp="1634580267964">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state width="1863" height="452" key="GridCell.Tab.0.center.inPresentationMode" timestamp="1634667157682">
      <screen x="41" y="25" width="2519" height="1055" />
    </state>
    <state width="1414" height="271" key="GridCell.Tab.0.center.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1629162226039" />
    <state width="1863" height="452" key="GridCell.Tab.0.center.inPresentationMode/40.25.2520.1055@40.25.2520.1055" timestamp="1634593473872" />
    <state width="1863" height="452" key="GridCell.Tab.0.center.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1634667157682" />
    <state width="1863" height="532" key="GridCell.Tab.0.center.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1634583297391" />
    <state width="1861" height="406" key="GridCell.Tab.0.center.inPresentationMode/44.25.2516.1055@44.25.2516.1055" timestamp="1630350702213" />
    <state width="1851" height="251" key="GridCell.Tab.0.center/42.25.2518.1055@42.25.2518.1055" timestamp="1634580267964" />
    <state width="2516" height="534" key="GridCell.Tab.0.center/44.25.2516.1055@44.25.2516.1055" timestamp="1630349086745" />
    <state width="1851" height="251" key="GridCell.Tab.0.left" timestamp="1634580267964">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state width="1863" height="452" key="GridCell.Tab.0.left.inPresentationMode" timestamp="1634667157682">
      <screen x="41" y="25" width="2519" height="1055" />
    </state>
    <state width="1414" height="271" key="GridCell.Tab.0.left.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1629162226039" />
    <state width="1863" height="452" key="GridCell.Tab.0.left.inPresentationMode/40.25.2520.1055@40.25.2520.1055" timestamp="1634593473872" />
    <state width="1863" height="452" key="GridCell.Tab.0.left.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1634667157682" />
    <state width="1863" height="532" key="GridCell.Tab.0.left.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1634583297390" />
    <state width="1861" height="406" key="GridCell.Tab.0.left.inPresentationMode/44.25.2516.1055@44.25.2516.1055" timestamp="1630350702213" />
    <state width="1851" height="251" key="GridCell.Tab.0.left/42.25.2518.1055@42.25.2518.1055" timestamp="1634580267964" />
    <state width="2516" height="534" key="GridCell.Tab.0.left/44.25.2516.1055@44.25.2516.1055" timestamp="1630349086745" />
    <state width="1851" height="251" key="GridCell.Tab.0.right" timestamp="1634580267964">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state width="1863" height="452" key="GridCell.Tab.0.right.inPresentationMode" timestamp="1634667157682">
      <screen x="41" y="25" width="2519" height="1055" />
    </state>
    <state width="1414" height="271" key="GridCell.Tab.0.right.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1629162226040" />
    <state width="1863" height="452" key="GridCell.Tab.0.right.inPresentationMode/40.25.2520.1055@40.25.2520.1055" timestamp="1634593473872" />
    <state width="1863" height="452" key="GridCell.Tab.0.right.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1634667157682" />
    <state width="1863" height="532" key="GridCell.Tab.0.right.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1634583297391" />
    <state width="1861" height="406" key="GridCell.Tab.0.right.inPresentationMode/44.25.2516.1055@44.25.2516.1055" timestamp="1630350702213" />
    <state width="1851" height="251" key="GridCell.Tab.0.right/42.25.2518.1055@42.25.2518.1055" timestamp="1634580267964" />
    <state width="2516" height="534" key="GridCell.Tab.0.right/44.25.2516.1055@44.25.2516.1055" timestamp="1630349086746" />
    <state x="780" y="181" key="SettingsEditor" timestamp="1628800978875">
      <screen x="0" y="25" width="2560" height="1010" />
    </state>
    <state x="153" y="25" key="SettingsEditor.inPresentationMode" timestamp="1630350478785">
      <screen x="44" y="25" width="2516" height="1055" />
    </state>
    <state x="152" y="25" key="SettingsEditor.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1629240842445" />
    <state x="153" y="25" key="SettingsEditor.inPresentationMode/44.25.2516.1055@44.25.2516.1055" timestamp="1630350478785" />
    <state x="780" y="181" key="SettingsEditor/0.25.2560.1010@0.25.2560.1010" timestamp="1628800978875" />
    <state width="500" height="445" key="SwitcherDM" timestamp="1633096410841">
      <screen x="44" y="25" width="2516" height="1055" />
    </state>
    <state width="674" height="889" key="SwitcherDM.inPresentationMode" timestamp="1634764906837">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state width="673" height="815" key="SwitcherDM.inPresentationMode/0.25.2517.1055@0.25.2517.1055" timestamp="1626269736135" />
    <state width="673" height="815" key="SwitcherDM.inPresentationMode/0.25.2518.1055@0.25.2518.1055" timestamp="1626270153353" />
    <state width="685" height="851" key="SwitcherDM.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1629162192761" />
    <state width="675" height="889" key="SwitcherDM.inPresentationMode/40.25.2520.1055@40.25.2520.1055" timestamp="1634592506390" />
    <state width="675" height="889" key="SwitcherDM.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1634669850910" />
    <state width="674" height="889" key="SwitcherDM.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1634764906837" />
    <state width="674" height="889" key="SwitcherDM.inPresentationMode/43.25.2517.1055@43.25.2517.1055" timestamp="1630350269855" />
    <state width="675" height="889" key="SwitcherDM.inPresentationMode/44.25.2516.1055@44.25.2516.1055" timestamp="1629897956071" />
    <state width="500" height="445" key="SwitcherDM/44.25.2516.1055@44.25.2516.1055" timestamp="1633096410841" />
    <state x="680" y="282" width="1005" height="518" key="chooseDestDirectoryDialog.inPresentationMode" timestamp="1634669630440">
      <screen x="41" y="25" width="2519" height="1055" />
    </state>
    <state x="650" y="271" width="1005" height="518" key="chooseDestDirectoryDialog.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1628793343788" />
    <state x="680" y="282" key="chooseDestDirectoryDialog.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1634669630440" />
    <state x="681" y="282" key="chooseDestDirectoryDialog.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1633351481403" />
    <state x="734" y="389" key="com.developerphil.adbidea.ui.DeviceChooserDialog" timestamp="1633983726467">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state x="734" y="389" key="com.developerphil.adbidea.ui.DeviceChooserDialog/42.25.2518.1055@42.25.2518.1055" timestamp="1633983726467" />
    <state x="483" y="143" width="982" height="818" key="find.popup.inPresentationMode" timestamp="1634669845960">
      <screen x="41" y="25" width="2519" height="1055" />
    </state>
    <state x="482" y="143" width="982" height="818" key="find.popup.inPresentationMode/40.25.2520.1055@40.25.2520.1055" timestamp="1630960761713" />
    <state x="483" y="143" width="982" height="818" key="find.popup.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1634669845960" />
    <state x="965" y="259" width="672" height="677" key="search.everywhere.popup" timestamp="1634761799686">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state x="414" y="25" width="1176" height="1973" key="search.everywhere.popup.inPresentationMode" timestamp="1634669749352">
      <screen x="41" y="25" width="2519" height="1055" />
    </state>
    <state x="373" y="25" width="1173" height="1972" key="search.everywhere.popup.inPresentationMode/0.25.2517.1055@0.25.2517.1055" timestamp="1626269245913" />
    <state x="379" y="25" width="1194" height="1888" key="search.everywhere.popup.inPresentationMode/0.25.2560.1010@0.25.2560.1010" timestamp="1629161421957" />
    <state x="413" y="25" width="1176" height="1973" key="search.everywhere.popup.inPresentationMode/40.25.2520.1055@40.25.2520.1055" timestamp="1630967347655" />
    <state x="414" y="25" width="1176" height="1973" key="search.everywhere.popup.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1634669749352" />
    <state x="415" y="25" width="1175" height="1973" key="search.everywhere.popup.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1634668167482" />
    <state x="416" y="25" width="1175" height="1973" key="search.everywhere.popup.inPresentationMode/43.25.2517.1055@43.25.2517.1055" timestamp="1630350309620" />
    <state x="417" y="25" width="1175" height="1973" key="search.everywhere.popup.inPresentationMode/44.25.2516.1055@44.25.2516.1055" timestamp="1630350660265" />
    <state x="923" y="259" width="670" height="676" key="search.everywhere.popup/0.25.2517.1055@0.25.2517.1055" timestamp="1626269238641" />
    <state x="939" y="249" width="682" height="648" key="search.everywhere.popup/0.25.2560.1010@0.25.2560.1010" timestamp="1629159568712" />
    <state x="964" y="259" width="673" height="677" key="search.everywhere.popup/40.25.2520.1055@40.25.2520.1055" timestamp="1634591625099" />
    <state x="965" y="259" width="672" height="677" key="search.everywhere.popup/41.25.2519.1055@41.25.2519.1055" timestamp="1630968192492" />
    <state x="965" y="259" width="672" height="677" key="search.everywhere.popup/42.25.2518.1055@42.25.2518.1055" timestamp="1634761799686" />
    <state x="966" y="259" width="671" height="677" key="search.everywhere.popup/43.25.2517.1055@43.25.2517.1055" timestamp="1633530653567" />
    <state x="966" y="259" width="672" height="677" key="search.everywhere.popup/44.25.2516.1055@44.25.2516.1055" timestamp="1633355129494" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" suspend="THREAD" type="kotlin-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/co/tiagoaguiar/course/instagram/add/data/FireAddDataSource.kt</url>
          <line>71</line>
          <option name="timeStamp" value="2" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>